com.pivotal.gemfirexd.internal.client

## Class LogHandler

- java.lang.Object
- - java.util.logging.Handler
  - - com.pivotal.gemfirexd.internal.client.LogHandler

    public class LogHandler
    extends Handler

Implementation of the standard JDK handler that publishes a log record using SanityManager. Note this handler ignores any installed handler.

### Constructor Summary

Constructors
Constructor and Description
`LogHandler(Level level)`

### Method Summary

Methods
`void` `close()`
`void` `flush()`
`void` `publish(LogRecord record)`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogHandler

    public LogHandler(Level level)

### Method Detail

#### publish

    public void publish(LogRecord record)

Specified by:
  `publish` in class `Handler`

#### flush

    public void flush()

Specified by:
  `flush` in class `Handler`

#### close

    public void close()

Specified by:
  `close` in class `Handler`